установка драйвера wifi-адапера rt5370 в ubuntu 14.04

Автор viktor, мая 13, 2014, 13:12:23

« предыдущая - следующая »

viktor

Здравствуйте! Возникла проблема с установкой драйвера rt5370(5572) wifi адаптера в xubuntu 14.04 - в 12.04 всё ставится. Хотя встроенный rt2800usb работает, но плохо (низкая скорость, уровень сигнала, разрыв подключения). Один и тот же драйвер на одной машине, но в 14.04 по make не установить.
Не пойму в чём дело?

denkin

попробуй поставить пакет firmware-linux-nonfree, если не установлен, в нем содержатся несвободные драйвера для различного оборудования, в т.ч. сетевых карт.

если пакет установлен, то можно попробовать наоборот - удалить его (был такой случай, на нетбуке с несвободным драйвером вай-фай работал нестабильно, грелся и отваливался, со свободным - все четко).

destruct™

мая 13, 2014, 14:29:05 #2 Последнее редактирование: мая 13, 2014, 14:45:21 от destruct™
sudo apt-get install linux-firmware-nonfree
  sudo rmmod rt5572sta
  sudo modprobe rt2800usb

Или читаем Эту статейку и коммент #2

viktor

Спасибо за участие, но то же самое в 14.04 в конце make выдает 2 ошибки (у меня есть лог make 12.04 и 14.04 но размер не позволяет выложить), кстати в 12.04 драйвер ставится как rt5572

viktor

Я думаю, что это зависит от ядра, совершенству нет предела, в любом случае 14.04 лучше windows, но небольшие глюки надо устранять.

destruct™

ну в ссылке выше и есть костыли под ядро 3.13.... Мне повезло, мой свисток DWA-126 поддерживается в ядре, хотя в тестинге 14.04 и 13.10 драйвер тоже плясал....
Тогда логи в студию (можно архивом на какойнить файлопомойник положить) , будем разбираться, сооружать костыли)

viktor


viktor

А по вашей ссылке точно ничего не работает- два дня мучал

destruct™

мая 17, 2014, 18:50:07 #8 Последнее редактирование: мая 17, 2014, 18:53:15 от destruct™
Либо ждать обновы дров или патчи свежие, либо можно попробовать поставить бэкпорты и юзать rt2800usb,  у меня в часности после их установки на моём свистке перестал скакать уровень сигнала до 100%... Сейчас стабильно отображается....

viktor


destruct™

Кстати, когда столкнулся с побочными явлениями (не работал reaver в 14.04) одно из решений - откат до прежних версий libpcap0.8 и libpcap0.8-dev(я поставил из 13.10) решило проблемы с коннектом у меня на свистке DWA-126. Сейчас правда свисток заменён на tp-link wr841nd c прошивкой openwrt и коннектом по кабелю к пк и репликой по вафле для других девайсов, что было задумано как раз из-за глюков вафли в 14.04.
Может и в случае с rt2800 поможет данное решение?

viktor

Спасибо! Я поменял адаптер на TL-WN725N - работает нормально.

abmx

Выше было сказано, что в подобных ситуациях надо установить некий пакет. Понятно как (apt-get и т.д.). А вот _как_ узнать, стоит ли этот пакет в системе или его нет? Можно, конечно, полезть в "var", но это вроде бы "не наш путь ...". Тем более, если соотв. поддерикторию чистили.

destruct™

как вариант dpkg заюзать...
dpkg -l | grep имя_пакета
или
dpkg -s имя_пакета